import type { Plugin } from 'vue';
import Form, { formProps } from './Form';
import FormItem, { formItemProps } from './FormItem';
import useForm from './useForm';
export type { FormProps } from './Form';
export type { FormItemProps } from './FormItem';
export { FormItem, formItemProps, formProps, useForm };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            name: string;
            prefixCls: string;
            onSubmit: (...args: any[]) => any;
            requiredMark: "" | import("./Form").RequiredMark;
            model: {
                [key: string]: any;
            };
            validateMessages: {
                [key: string]: any;
            };
            onFinish: (...args: any[]) => any;
            onFinishFailed: (...args: any[]) => any;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            layout: import("vue-types").VueTypeDef<"inline" | "horizontal" | "vertical">;
            labelCol: {
                type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                    span: import("vue-types").VueTypeDef<string | number>;
                    order: import("vue-types").VueTypeDef<string | number>;
                    offset: import("vue-types").VueTypeDef<string | number>;
                    push: import("vue-types").VueTypeDef<string | number>;
                    pull: import("vue-types").VueTypeDef<string | number>;
                    xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                        default: string;
                    };
                    flex: import("vue-types").VueTypeDef<string | number>;
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                    span: import("vue-types").VueTypeDef<string | number>;
                    order: import("vue-types").VueTypeDef<string | number>;
                    offset: import("vue-types").VueTypeDef<string | number>;
                    push: import("vue-types").VueTypeDef<string | number>;
                    pull: import("vue-types").VueTypeDef<string | number>;
                    xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                        default: string;
                    };
                    flex: import("vue-types").VueTypeDef<string | number>;
                }>> & import("vue").HTMLAttributes>;
            };
            colon: import("vue-types").VueTypeValidableDef<boolean>;
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            requiredMark: {
                type: import("vue").PropType<"" | import("./Form").RequiredMark>;
                default: any;
            };
            hideRequiredMark: import("vue-types").VueTypeValidableDef<boolean>;
            model: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            rules: {
                type: import("vue").PropType<{
                    [k: string]: import("./Form").ValidationRule | import("./Form").ValidationRule[];
                }>;
            };
            validateMessages: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            validateOnRuleChange: import("vue-types").VueTypeValidableDef<boolean>;
            scrollToFirstError: {
                type: import("vue").PropType<boolean | import("scroll-into-view-if-needed").Options<any>>;
            };
            onSubmit: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onFinish: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onFinishFailed: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            name: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            validateTrigger: {
                type: import("vue").PropType<string | string[]>;
            };
            size: {
                type: import("vue").PropType<import("../config-provider").SizeType>;
            };
        }>> & {
            onSubmit?: (...args: any[]) => any;
            onFinish?: (...args: any[]) => any;
            onFinishFailed?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "prefixCls" | "onSubmit" | "requiredMark" | "model" | "validateMessages" | "onFinish" | "onFinishFailed">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "submit" | "finishFailed" | "finish", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            layout: import("vue-types").VueTypeDef<"inline" | "horizontal" | "vertical">;
            labelCol: {
                type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                    span: import("vue-types").VueTypeDef<string | number>;
                    order: import("vue-types").VueTypeDef<string | number>;
                    offset: import("vue-types").VueTypeDef<string | number>;
                    push: import("vue-types").VueTypeDef<string | number>;
                    pull: import("vue-types").VueTypeDef<string | number>;
                    xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                        default: string;
                    };
                    flex: import("vue-types").VueTypeDef<string | number>;
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                    span: import("vue-types").VueTypeDef<string | number>;
                    order: import("vue-types").VueTypeDef<string | number>;
                    offset: import("vue-types").VueTypeDef<string | number>;
                    push: import("vue-types").VueTypeDef<string | number>;
                    pull: import("vue-types").VueTypeDef<string | number>;
                    xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                        default: string;
                    };
                    flex: import("vue-types").VueTypeDef<string | number>;
                }>> & import("vue").HTMLAttributes>;
            };
            colon: import("vue-types").VueTypeValidableDef<boolean>;
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            requiredMark: {
                type: import("vue").PropType<"" | import("./Form").RequiredMark>;
                default: any;
            };
            hideRequiredMark: import("vue-types").VueTypeValidableDef<boolean>;
            model: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            rules: {
                type: import("vue").PropType<{
                    [k: string]: import("./Form").ValidationRule | import("./Form").ValidationRule[];
                }>;
            };
            validateMessages: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            validateOnRuleChange: import("vue-types").VueTypeValidableDef<boolean>;
            scrollToFirstError: {
                type: import("vue").PropType<boolean | import("scroll-into-view-if-needed").Options<any>>;
            };
            onSubmit: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onFinish: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onFinishFailed: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            name: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            validateTrigger: {
                type: import("vue").PropType<string | string[]>;
            };
            size: {
                type: import("vue").PropType<import("../config-provider").SizeType>;
            };
        }>> & {
            onSubmit?: (...args: any[]) => any;
            onFinish?: (...args: any[]) => any;
            onFinishFailed?: (...args: any[]) => any;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("submit" | "finishFailed" | "finish")[], string, {
            name: string;
            prefixCls: string;
            onSubmit: (...args: any[]) => any;
            requiredMark: "" | import("./Form").RequiredMark;
            model: {
                [key: string]: any;
            };
            validateMessages: {
                [key: string]: any;
            };
            onFinish: (...args: any[]) => any;
            onFinishFailed: (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        layout: import("vue-types").VueTypeDef<"inline" | "horizontal" | "vertical">;
        labelCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>> & import("vue").HTMLAttributes>;
        };
        wrapperCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>> & import("vue").HTMLAttributes>;
        };
        colon: import("vue-types").VueTypeValidableDef<boolean>;
        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        requiredMark: {
            type: import("vue").PropType<"" | import("./Form").RequiredMark>;
            default: any;
        };
        hideRequiredMark: import("vue-types").VueTypeValidableDef<boolean>;
        model: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        rules: {
            type: import("vue").PropType<{
                [k: string]: import("./Form").ValidationRule | import("./Form").ValidationRule[];
            }>;
        };
        validateMessages: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        validateOnRuleChange: import("vue-types").VueTypeValidableDef<boolean>;
        scrollToFirstError: {
            type: import("vue").PropType<boolean | import("scroll-into-view-if-needed").Options<any>>;
        };
        onSubmit: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onFinish: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onFinishFailed: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        name: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        validateTrigger: {
            type: import("vue").PropType<string | string[]>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
    }>> & {
        onSubmit?: (...args: any[]) => any;
        onFinish?: (...args: any[]) => any;
        onFinishFailed?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    layout: import("vue-types").VueTypeDef<"inline" | "horizontal" | "vertical">;
    labelCol: {
        type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
            span: import("vue-types").VueTypeDef<string | number>;
            order: import("vue-types").VueTypeDef<string | number>;
            offset: import("vue-types").VueTypeDef<string | number>;
            push: import("vue-types").VueTypeDef<string | number>;
            pull: import("vue-types").VueTypeDef<string | number>;
            xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            flex: import("vue-types").VueTypeDef<string | number>;
        }>> & import("vue").HTMLAttributes>;
    };
    wrapperCol: {
        type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
            span: import("vue-types").VueTypeDef<string | number>;
            order: import("vue-types").VueTypeDef<string | number>;
            offset: import("vue-types").VueTypeDef<string | number>;
            push: import("vue-types").VueTypeDef<string | number>;
            pull: import("vue-types").VueTypeDef<string | number>;
            xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            flex: import("vue-types").VueTypeDef<string | number>;
        }>> & import("vue").HTMLAttributes>;
    };
    colon: import("vue-types").VueTypeValidableDef<boolean>;
    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    requiredMark: {
        type: import("vue").PropType<"" | import("./Form").RequiredMark>;
        default: any;
    };
    hideRequiredMark: import("vue-types").VueTypeValidableDef<boolean>;
    model: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    rules: {
        type: import("vue").PropType<{
            [k: string]: import("./Form").ValidationRule | import("./Form").ValidationRule[];
        }>;
    };
    validateMessages: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    validateOnRuleChange: import("vue-types").VueTypeValidableDef<boolean>;
    scrollToFirstError: {
        type: import("vue").PropType<boolean | import("scroll-into-view-if-needed").Options<any>>;
    };
    onSubmit: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onFinish: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onFinishFailed: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    validateTrigger: {
        type: import("vue").PropType<string | string[]>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
}>> & {
    onSubmit?: (...args: any[]) => any;
    onFinish?: (...args: any[]) => any;
    onFinishFailed?: (...args: any[]) => any;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("submit" | "finishFailed" | "finish")[], "submit" | "finishFailed" | "finish", {
    name: string;
    prefixCls: string;
    onSubmit: (...args: any[]) => any;
    requiredMark: "" | import("./Form").RequiredMark;
    model: {
        [key: string]: any;
    };
    validateMessages: {
        [key: string]: any;
    };
    onFinish: (...args: any[]) => any;
    onFinishFailed: (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    readonly Item: import("vue").DefineComponent<{
        id: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        htmlFor: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        label: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        help: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        extra: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        labelCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>>>;
        };
        wrapperCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>>>;
        };
        hasFeedback: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        colon: import("vue-types").VueTypeValidableDef<boolean>;
        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
        prop: {
            type: import("vue").PropType<string | number | string[] | number[]>;
        };
        name: {
            type: import("vue").PropType<string | number | string[] | number[]>;
        };
        rules: import("vue-types").VueTypeDef<unknown[] | {
            [key: string]: any;
        }>;
        autoLink: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        required: import("vue-types").VueTypeValidableDef<boolean>;
        validateFirst: import("vue-types").VueTypeValidableDef<boolean>;
        validateStatus: import("vue-types").VueTypeDef<"" | "validating" | "error" | "success" | "warning">;
        validateTrigger: {
            type: import("vue").PropType<string | string[]>;
        };
        messageVariables: {
            type: import("vue").PropType<Record<string, string>>;
        };
        hidden: BooleanConstructor;
    }, () => JSX.Element, unknown, {}, {}, {
        methods: {
            setState(state: {}, callback: any): void;
            __emit(...args: any[]): void;
        };
    }, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        id: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        htmlFor: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        label: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        help: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        extra: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        labelCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>>>;
        };
        wrapperCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: import("vue-types").VueTypeDef<string | number>;
                order: import("vue-types").VueTypeDef<string | number>;
                offset: import("vue-types").VueTypeDef<string | number>;
                push: import("vue-types").VueTypeDef<string | number>;
                pull: import("vue-types").VueTypeDef<string | number>;
                xs: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                sm: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                md: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                lg: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                xxl: import("vue-types").VueTypeDef<string | number | import("../grid").ColSize>;
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                flex: import("vue-types").VueTypeDef<string | number>;
            }>>>;
        };
        hasFeedback: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        colon: import("vue-types").VueTypeValidableDef<boolean>;
        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
        prop: {
            type: import("vue").PropType<string | number | string[] | number[]>;
        };
        name: {
            type: import("vue").PropType<string | number | string[] | number[]>;
        };
        rules: import("vue-types").VueTypeDef<unknown[] | {
            [key: string]: any;
        }>;
        autoLink: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        required: import("vue-types").VueTypeValidableDef<boolean>;
        validateFirst: import("vue-types").VueTypeValidableDef<boolean>;
        validateStatus: import("vue-types").VueTypeDef<"" | "validating" | "error" | "success" | "warning">;
        validateTrigger: {
            type: import("vue").PropType<string | string[]>;
        };
        messageVariables: {
            type: import("vue").PropType<Record<string, string>>;
        };
        hidden: BooleanConstructor;
    }>>, {
        prefixCls: string;
        hidden: boolean;
        id: string;
        htmlFor: string;
        hasFeedback: boolean;
        autoLink: boolean;
    }>;
    readonly useForm: typeof useForm;
} & Plugin & {
    readonly Item: typeof Form.Item;
    readonly useForm: typeof useForm;
};
export default _default;
