"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var TableManager = /*#__PURE__*/function () {
  function TableManager() {
    (0, _classCallCheck2.default)(this, TableManager);
    this.current_id = 0;
    this.tableMap = new Map();
  }

  (0, _createClass2.default)(TableManager, [{
    key: "getId",
    value: function getId() {
      return this.current_id++;
    }
  }, {
    key: "add",
    value: function add(id) {
      this.tableMap.set(id, {
        left: false,
        right: false
      });
    }
  }, {
    key: "delete",
    value: function _delete(id) {
      this.removeFixStyle(id, 'left');
      this.removeFixStyle(id, 'right');
      this.tableMap.delete(id);
    }
  }, {
    key: "createElement",
    value: function createElement(id, direction) {
      var target = document.createElement('style');
      target.setAttribute('cssr-id', "".concat(id, "-").concat(direction));
      return target;
    }
  }, {
    key: "addFixStyle",
    value: function addFixStyle(id, direction) {
      var _a;

      if ((_a = this.tableMap.get(id)) === null || _a === void 0 ? void 0 : _a[direction]) {
        return;
      }

      this.tableMap.get(id)[direction] = true;
      var textContentMap = {
        left: "\n      [data-okki-id=\"".concat(id, "\"] .ant-table-cell-fix-left-last {\n        box-shadow: 4px 0 6px -1px rgb(0 0 0 / 10%);\n        transition: box-shadow 0.3s;\n      } \n      "),
        right: "\n      [data-okki-id=\"".concat(id, "\"] .ant-table-cell-fix-right-first:after {\n        box-shadow: inset -10px 0 8px -8px #00000026;\n      }\n      ")
      };
      var target = this.createElement(id, direction);
      target.textContent = textContentMap[direction];
      document.head.appendChild(target);
    }
  }, {
    key: "removeFixStyle",
    value: function removeFixStyle(id, direction) {
      if (this.tableMap.has(id)) {
        this.tableMap.get(id)[direction] = false;
      }

      var target = document.querySelector("style[cssr-id=\"".concat(id, "-").concat(direction, "\"]"));

      if (target === null || target === void 0 ? void 0 : target.parentElement) {
        target.parentElement.removeChild(target);
      }
    }
  }]);
  return TableManager;
}();

exports.default = TableManager;