"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.beforeNextFrameOnce = beforeNextFrameOnce;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var onceCbs = [];
var paramsMap = new WeakMap();

function flushOnceCallbacks() {
  onceCbs.forEach(function (cb) {
    return cb.apply(void 0, (0, _toConsumableArray2.default)(paramsMap.get(cb)));
  });
  onceCbs = [];
}

function beforeNextFrameOnce(cb) {
  for (var _len = arguments.length, params = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    params[_key - 1] = arguments[_key];
  }

  paramsMap.set(cb, params);
  if (onceCbs.includes(cb)) return;
  onceCbs.push(cb) === 1 && requestAnimationFrame(flushOnceCallbacks);
}